// ========================================
// Skybox
// From CS:GO
// ========================================

textures/falltorture/skybox
{
    qer_editorImage env/falltorture/cloudy01_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
    surfaceparm sky
    q3map_globalTexture
    q3map_sunExt 1.0 0.9 1.0 20 300 37 4 32
    q3map_skylight 60 8
    skyParms env/falltorture/cloudy01 - -
    nopicmip
    nocompress
    {
        map $whiteimage
        alphaFunc GT0
        alphaGen const 0.0
    }
}

// ========================================
// Metal trims
// From evil7, added metalsteps
// ========================================

textures/falltorture/e7beam01
{
    surfaceparm metalsteps
    {
        map textures/falltorture/e7beam01.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/falltorture/e7beam02
{
    surfaceparm metalsteps
    {
        map textures/falltorture/e7beam02.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/falltorture/ametal_m03_nocull
{
    qer_editorImage textures/metal_misc/ametal_m03.tga
    cull none
    surfaceparm metalsteps
    {
        map textures/metal_misc/ametal_m03.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// Woodpanel
// From evil7, added woodsteps
// ========================================

textures/falltorture/e7panelwood
{
    surfaceparm woodsteps
    {
        map textures/falltorture/e7panelwood.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// Nonsolid rock
// ========================================

textures/falltorture/rock_grey3_nonsolid
{
    qer_editorImage textures/terrain_soc/rock_grey3.tga
    surfaceparm nonsolid
    {
        map textures/terrain_soc/rock_grey3.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// Lights
// ========================================

// Modified from evil7
textures/falltorture/e7mlight_orange
{
    qer_editorImage textures/falltorture/e7mlight_orange.tga
    q3map_lightimage textures/falltorture/e7mlight_orange.blend.tga
    q3map_surfacelight 500
    q3map_backSplash 5 8
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap 
        rgbGen identity
        tcGen lightmap
    }
    {
        map textures/falltorture/e7mlight_orange.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/falltorture/e7mlight_orange.blend.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
}

// For sides to prevent light emitting
textures/falltorture/e7mlight_orange_nolight
{
    qer_editorImage textures/falltorture/ei/e7mlight_orange_nolight.tga
    q3map_lightimage textures/falltorture/e7mlight_orange.blend.tga
    // q3map_surfacelight 500
    // q3map_backSplash 5 8
    surfaceparm nomarks
    surfaceparm metalsteps
    {
        map $lightmap 
        rgbGen identity
        tcGen lightmap
    }
    {
        map textures/falltorture/e7mlight_orange.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// Modified from Pirates
textures/falltorture/ar_light_orange
{
    qer_editorImage textures/falltorture/ar_glow2.tga
    cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/falltorture/ar_glow2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/falltorture/ar_glow2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
}

// ========================================
// Ice
// ========================================

textures/falltorture/ice
{
    qer_editorImage textures/falltorture/ei/ice
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    {
        map textures/falltorture/e7dimfloor.tga
        rgbGen identity
    }
    {
        map textures/falltorture/ice_crust3.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.75
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/effects/envmap_ice2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}

// ========================================
// Water
// Modified from arctic
// ========================================

textures/falltorture/water1_1
{
    qer_editorImage textures/falltorture/water1_1.tga
    qer_trans 0.5
    q3map_lightimage textures/falltorture/water1_1.tga
    q3map_surfacelight 250
    surfaceparm water
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map textures/falltorture/water1_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcMod scroll 0.01 0.02
    }
    {
        map textures/falltorture/water1_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcMod scroll -0.02 0.002
    }
}


// ========================================
// FX shaders
// ========================================

// Light gems
textures/falltorture/lightfx
{
    qer_editorImage textures/falltorture/ei/lightfx.tga
    qer_trans 0.75
    q3map_surfaceLight 25000
    q3map_backSplash 0 2
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.5     
        rgbGen const ( 1.0 0.56 0.0 )
    }
    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}

textures/falltorture/lightfx_small
{
    qer_editorImage textures/falltorture/ei/lightfx_small.tga
    qer_trans 0.75
    q3map_surfaceLight 7500
    q3map_backSplash 0 2
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.5     
        rgbGen const ( 1.0 0.56 0.0 )
    }
    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}

// Target
// Modified from evil7 jumppad
textures/falltorture/e7brickfloor01jump_glow_red
{
    qer_editorImage textures/falltorture/e7brickfloor01jump_red.tga
    q3map_surfacelight 200
    q3map_lightimage textures/falltorture/e7brickfloor01jump_glow_red.tga
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/falltorture/e7brickfloor01jump_red.tga
        rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcGen lightmap 
    }
    {
        clampMap textures/falltorture/e7brickfloor01jump_glow_red.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 0.5 0 1
    }
}

// Jumppad
// Modified from evil7 jumppad
textures/falltorture/e7brickfloor01jump_glow_orange
{
    qer_editorImage textures/falltorture/e7brickfloor01jump_orange.tga
    q3map_surfacelight 200
    q3map_lightimage textures/falltorture/e7brickfloor01jump_glow_orange.tga
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    {
        map textures/falltorture/e7brickfloor01jump_orange.tga
        rgbGen identity
    }
    {
        map $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        tcGen lightmap 
    }
    {
        clampMap textures/falltorture/e7brickfloor01jump_glow_orange.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.75 0.5 0 1
    }
}
